[NTG-context] What’s wrong with installation?

Henning Hraban Ramm texml at fiee.net
Mon Mar 7 12:48:21 CET 2022


Hi, I just tried to install a new instance of LMTX without success.

"""
$ unzip -l *.zip
Archive:  context-osx-64.zip
   Length      Date    Time    Name
---------  ---------- -----   ----
         0  03-05-2019 22:50   bin/
     19082  01-21-2022 20:13   bin/mtx-install.lua
    693184  01-21-2022 20:13   bin/mtxrun.lua
      3910  01-21-2022 20:13   install.sh
   2725900  01-21-2022 20:13   bin/mtxrun
     24047  01-21-2022 20:13   installation.pdf
---------                     -------
   3466123                     6 files


$ sh install.sh
mtx-install     | provide valid server and instance

cp: /Users/hraban/lmtx_2022-03-07/tex/texmf-osx-64/bin/mtxrun: No such 
file or directory
cp: 
/Users/hraban/lmtx_2022-03-07/tex/texmf-context/scripts/context/lua/mtxrun.lua: 
No such file or directory
cp: 
/Users/hraban/lmtx_2022-03-07/tex/texmf-context/scripts/context/lua/mtx-install.lua: 
No such file or directory

If you want to run ConTeXt everywhere, you need to adapt the path, like:

   export PATH=/Users/hraban/lmtx_2022-03-07/tex/texmf-osx-64/bin:$PATH

If you run from an editor you can specify the full path to mtxrun:

   /Users/hraban/lmtx_2022-03-07/tex/texmf-osx-64/bin/mtxrun 
--autogenerate --script context --autopdf ...

The following settings were used:

   server   : lmtx.contextgarden.net,lmtx.pragma-ade.com,lmtx.pragma-ade.nl
   instance : install-lmtx
   extras   :
   ownpath  : /Users/hraban/lmtx_2022-03-07
   platform : osx-64


$ ./bin/mtxrun --script ./bin/mtx-install.lua --update 
--server=lmtx.contextgarden.net --instance=install-lmtx 
--platform=osx-64 --extras=all
mtx-install     | provide valid server and instance
"""

Same result if I omit --server and --instance, since they default to the 
same.

In mtx-install.lua, line 489 "local server = false" overwrites the 
previously set server variable.

If I comment this line, I get:

"""
$ ./bin/mtxrun --script ./bin/mtx-install.lua --update --platform=osx-64 
--extras=all
mtx-install     | server   : 
lmtx.contextgarden.net,lmtx.pragma-ade.com,lmtx.pragma-ade.nl,dmz.pragma-ade.nl
mtx-install     | instance : install-lmtx
mtx-install     | platform : osx-64
mtx-install     | system   : unix
mtx-install     | invalid database 
'http://lmtx.contextgarden.net,lmtx.pragma-ade.com,lmtx.pragma-ade.nl,dmz.pragma-ade.nl/install-lmtx//tex/texmf.tma'
mtx-install     | invalid database 
'http://lmtx.contextgarden.net,lmtx.pragma-ade.com,lmtx.pragma-ade.nl,dmz.pragma-ade.nl/install-lmtx//tex/texmf-context.tma'
mtx-install     | invalid database 
'http://lmtx.contextgarden.net,lmtx.pragma-ade.com,lmtx.pragma-ade.nl,dmz.pragma-ade.nl/install-lmtx//tex/texmf-osx-64.tma'
mtx-install     | current  : %S
mtx-install     | target   : %S
mtx-install     | removing : mtxrun
mtx-install     | removing : context
mtx-install     | copied   : mtxrun
mtx-install     | copied   : context
mtx-install     | running: 
/Users/hraban/lmtx_2022-03-07/tex/texmf-osx-64/bin/mtxrun --generate
sh: /Users/hraban/lmtx_2022-03-07/tex/texmf-osx-64/bin/mtxrun: No such 
file or directory
mtx-install     | running: 
/Users/hraban/lmtx_2022-03-07/tex/texmf-osx-64/bin/context --make en
sh: /Users/hraban/lmtx_2022-03-07/tex/texmf-osx-64/bin/context: No such 
file or directory
mtx-install     |
mtx-install     |
mtx-install     | ConTeXt LMTX with LuaMetaTeX is still experimental and 
when you get a crash this
mtx-install     | can be due to a mismatch between Lua bytecode and the 
engine. In that case you can
mtx-install     | try the following:
mtx-install     |
mtx-install     |   - wipe the texmf-cache directory
mtx-install     |   - run: mtxrun --generate
mtx-install     |   - run: context --make
mtx-install     |
mtx-install     | When that doesn't solve the problem, ask on the 
mailing list (ntg-context at ntg.nl).
mtx-install     |
mtx-install     | update, done
"""

The "invalid database" lines don’t look good. If I give an explicit 
--server=lmtx.contextgarden.net, I still get the same error:

"""
mtx-install     | invalid database 
'http://lmtx.contextgarden.net/install-lmtx//tex/texmf.tma'
mtx-install     | invalid database 
'http://lmtx.contextgarden.net/install-lmtx//tex/texmf-context.tma'
mtx-install     | invalid database 
'http://lmtx.contextgarden.net/install-lmtx//tex/texmf-osx-64.tma'
"""

What’s wrong?

Hraban


More information about the ntg-context mailing list